PETSc version 3.17.4
Fix/Edit manual page

# PCShellSetName

Sets an optional name to associate with a shell preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetName(PC pc,const char name[])

Not Collective

### Input Parameters

| pc | - the preconditioner context
| name | - character string describing shell preconditioner

### See Also

PCShellGetName()

### Level

developer

### Location

src/ksp/pc/impls/shell/shellpc.c

### Examples

src/ksp/ksp/tutorials/ex15.c.html

### Implementations

PCShellSetName_Shell in src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages